## schooltool 2.5.0

=== Makefile ===
#!/usr/bin/make

PACKAGE=schooltool
LOCALES=src/schooltool/locales
TRANSLATIONS_ZCML=schooltool/common/translations.zcml

DIST=/home/ftp/pub/schooltool/trunk
PYTHON=python

INSTANCE_TYPE=schooltool
BUILDOUT_FLAGS=

.PHONY: all
all: build

.PHONY: build
build: .installed.cfg

python:
	rm -rf python
	virtualenv --no-site-packages -p $(PYTHON) python

.PHONY: bootstrap
bootstrap bin/buildout: | buildout.cfg python
	python/bin/python bootstrap.py

buildout.cfg:
	cp deploy.cfg buildout.cfg

.PHONY: buildout
buildout .installed.cfg: python bin/buildout buildout.cfg base.cfg deploy.cfg setup.py
	bin/buildout $(BUILDOUT_FLAGS)

.PHONY: develop
develop bin/coverage bin/docs: buildout.cfg develop.cfg
	sed -e 's/base.cfg/develop.cfg/' -i buildout.cfg
	$(MAKE) buildout

.PHONY: update
update:
	bzr up
	$(MAKE) buildout BUILDOUT_FLAGS=-n

instance: | build
	bin/make-schooltool-instance instance instance_type=$(INSTANCE_TYPE)

instance/run/supervisord.pid:
	bin/supervisord

.PHONY: run
run: build instance instance/run/supervisord.pid
	@bin/supervisorctl start "services:*"
	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
	@bin/supervisorctl status
	bin/start-schooltool-instance instance

.PHONY: start
start: build instance instance/run/supervisord.pid
	bin/supervisorctl start all
	@bin/supervisorctl status

.PHONY: start-services
start-services: build instance instance/run/supervisord.pid
	@bin/supervisorctl status | grep services[:] | grep -v RUNNING && bin/supervisorctl start "services:*" || exit 0
	@bin/supervisorctl status | grep services[:]

.PHONY: restart
restart: build instance instance/run/supervisord.pid
	@bin/supervisorctl restart "services:celery_report"
	@bin/supervisorctl start "services:*"
	bin/supervisorctl restart schooltool
	@bin/supervisorctl status

.PHONY: rerun
rerun: build instance instance/run/supervisord.pid
	@bin/supervisorctl restart "services:celery_report"
	@bin/supervisorctl start "services:*"
	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
	@bin/supervisorctl status
	bin/start-schooltool-instance instance

.PHONY: stop
stop:
	@test -S instance/run/supervisord.sock && bin/supervisorctl status | grep -v STOPPED && bin/supervisorctl stop all || exit 0
	@test -S instance/run/supervisord.sock && bin/supervisorctl shutdown || echo Nothing to stop
	@rm -f instance/run/zeo.sock
	@rm -f instance/run/supervisord.sock
	@rm -f instance/run/supervisord.pid

.PHONY: status
status:
	@test -f instance/run/supervisord.pid && bin/supervisorctl status || echo All services shut down

.PHONY: tags
tags: build
	bin/ctags

.PHONY: clean
clean: stop
	rm -rf python
	rm -rf bin develop-eggs parts .installed.cfg
	rm -rf build
	rm -f ID TAGS tags
	rm -rf coverage ftest-coverage
	rm -rf docs
	rm -rf instance/var/celerybeat-schedule
	rm -rf instance/var/redis-dump.rdb
	rm -rf instance/run/zeo.sock
	rm -rf instance/run/supervisord.sock
	rm -rf instance/run/supervisord.pid
	rm -rf instance/var/Data.fs.lock
	find . -name '*.py[co]' -delete
	find . -name '*.mo' -delete
	find . -name 'LC_MESSAGES' -exec rmdir -p --ignore-fail-on-non-empty {} +

.PHONY: realclean
realclean: stop
	rm -f buildout.cfg
	rm -rf eggs
	rm -rf dist
	rm -rf instance
	$(MAKE) clean

# Tests

.PHONY: test
test: build
	bin/test -u

.PHONY: ftest
ftest: build
	bin/test -f

.PHONY: testall
testall: build
	bin/test --at-level 2

# Coverage

.PHONY: coverage
coverage: build
	rm -rf coverage
	bin/test --at-level 2 -u --coverage=$(CURDIR)/coverage

.PHONY: coverage-reports-html
coverage-reports-html coverage/reports: bin/coverage build
	test -d coverage || $(MAKE) coverage
	rm -rf coverage/reports
	mkdir coverage/reports
	bin/coverage coverage coverage/reports
	ln -s $(PACKAGE).html coverage/reports/index.html

.PHONY: ftest-coverage
ftest-coverage: build
	rm -rf ftest-coverage
	bin/test --at-level 2 -f --coverage=$(CURDIR)/ftest-coverage

.PHONY: ftest-coverage-reports-html
ftest-coverage-reports-html ftest-coverage/reports: bin/coverage build
	test -d ftest-coverage || $(MAKE) ftest-coverage
	rm -rf ftest-coverage/reports
	mkdir ftest-coverage/reports
	bin/coverage ftest-coverage ftest-coverage/reports
	ln -s $(PACKAGE).html ftest-coverage/reports/index.html

# Translations

.PHONY: extract-translations
extract-translations: build
	bin/i18nextract --egg $(PACKAGE) \
	                --domain $(PACKAGE) \
	                --zcml $(TRANSLATIONS_ZCML) \
	                --output-file $(LOCALES)/$(PACKAGE).pot

.PHONY: compile-translations
compile-translations:
	for f in $(LOCALES)/*.po; do \
	    mkdir -p $${f%.po}/LC_MESSAGES; \
	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
	done

.PHONY: update-translations
update-translations:
	for f in $(LOCALES)/*.po; do \
	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
	done
	$(MAKE) compile-translations

# Docs

docs: bin/docs build
	bin/docs

# Release

.PHONY: release
release: compile-translations
	-cp buildout.cfg buildout.cfg~dev~
	cp deploy.cfg buildout.cfg
	grep -qv 'dev' version.txt.in || echo -n `cat version.txt.in`-r`bzr revno` > version.txt
	$(PYTHON) setup.py sdist
	rm -f version.txt
	-mv buildout.cfg~dev~ buildout.cfg

.PHONY: move-release
move-release: upload
	rm -v dist/$(PACKAGE)-*dev-r*.tar.gz

.PHONY: upload
upload:
	set -e ;\
	VERSION=`cat version.txt.in` ;\
	DIST=$(DIST) ;\
	grep -qv 'dev' version.txt.in || VERSION=`cat version.txt.in`-r`bzr revno` ;\
	grep -qv 'dev' version.txt.in || DIST=$(DIST)/dev ;\
	if [ -w $${DIST} ] ; then \
	    echo cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	    cp dist/$(PACKAGE)-$${VERSION}.tar.gz $${DIST} ;\
	else \
	    echo scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
	    scp dist/$(PACKAGE)-$${VERSION}.tar.gz* ftp.schooltool.org:$${DIST} ;\
	fi

# Helpers

.PHONY: ubuntu-environment
ubuntu-environment:
	sudo apt-get install build-essential gettext enscript \
	    python-dev python-virtualenv \
	    ttf-ubuntu-font-family ttf-liberation \
	    libicu-dev libxslt1-dev libfreetype6-dev libjpeg-dev \
	    redis-server

=== debian/changelog ===
schooltool (1:2.5.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/control:
    - add python-redis to python-schooltool Depends.
    - add redis-server and supervisor to schooltool Depends.
  * Add new conffiles: zeo.conf, redis.conf, supervisord.conf
  * debian/schooltool.init: control supervisor instead of paster.
  * debian/watch: change series to trunk

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 01 Aug 2013 21:23:22 +0300

=== debian/control ===
Source: schooltool
Section: education
Priority: extra
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Gediminas Paulauskas <menesis@pov.lt>
Build-Depends: debhelper (>= 7.0.50~),
               python-all (>= 2.6.6-3~),
               python-setuptools,
               python-van.pydeb,
Standards-Version: 3.9.4
X-Python-Version: >= 2.6
Homepage: http://www.schooltool.org/

Package: python-schooltool
Architecture: all
Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
         libjs-jquery, libjs-jquery-ui,
         python-redis,
Breaks: python-schooltool.gradebook (<< 2.2),
        python-schooltool.lyceum.journal (<< 2.2),
        python-schooltool.cando (<< 0.7),
Provides: ${pydeb:Provides}
Recommends: ttf-liberation, ttf-ubuntu-font-family
Suggests: ${pydeb:Suggests}
Description: Python libraries used by SchoolTool
 This package contains the core of SchoolTool.

Package: schooltool
Architecture: all
Pre-Depends: python-pastescript
Depends: ${misc:Depends}, adduser, lsb-base,
         python-schooltool,
         redis-server,
         supervisor,
Recommends: python-schooltool.gradebook,
            python-schooltool.lyceum.journal,
            python-schooltool.intervention,
            python-schooltool.cando
Provides: schooltool-server
Description: Suite of free administrative software for schools
 This is the standard distribution of SchoolTool, providing a running
 web-based student information system for a single school, including
 calendaring, student enrollment and demographics, gradebooks, attendance,
 intervention tracking and reporting.

## schooltool 2.5.1

=== debian/changelog ===
schooltool (1:2.5.1-0ubuntu3) saucy; urgency=low

  * debian/patches/python-imaging.patch: remove again, the egg is named
    Pillow.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 17 Aug 2013 19:18:00 +0300

schooltool (1:2.5.1-0ubuntu2) saucy; urgency=low

  * debian/patches/python-imaging.patch: re-add the patch to avoid dependency
    on python-pillow.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 16 Aug 2013 15:57:20 +0300

schooltool (1:2.5.1-0ubuntu1) saucy; urgency=low

  * New upstream release
    - differeniate administrative permissions
    - improvements for journal and gradebook
  * debian/control:
    - remove python-redis from Depends, added upstream
  * debian/schooltool.postinst:
    - fix restart on upgrade
    - remove copying of schooltool-2009 database

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 02 Aug 2013 13:02:14 +0300

## schooltool 2.5.2.1

=== debian/changelog ===
schooltool (1:2.5.2.1-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/schooltool.init: start all processes if supervisord is already
    running.

 -- Gediminas Paulauskas <menesis@pov.lt>  Fri, 23 Aug 2013 12:40:58 +0300

=== debian/control ===
--- 
+++ 
@@ -15,7 +15,6 @@
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
          libjs-jquery, libjs-jquery-ui,
-         python-redis,
 Breaks: python-schooltool.gradebook (<< 2.2),
         python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.cando (<< 0.7),

=== debian/rules ===
#!/usr/bin/make -f

export PYDEB_SUGGESTS_EXTRAS=test docs apidoc

%:
	dh $@ -Spython_distutils --with pydeb --with python2

locales=src/schooltool/locales

override_dh_auto_build:
	rm -f src/schooltool/skin/resources/jquery.min.js
	rm -rf src/schooltool/skin/flourish/resources/jquery/development-bundle/
	rm -rf src/schooltool/skin/flourish/resources/jquery/js/
	rm -f $(locales)/*.po
	rm -f $(locales)/*.pot
	dh_auto_build

override_dh_installchangelogs:
	dh_installchangelogs CHANGES.txt

## schooltool 2.5.3

=== Makefile ===
--- 
+++ 
@@ -174,6 +174,7 @@
 
 .PHONY: compile-translations
 compile-translations:
+	set -e ;\
 	for f in $(LOCALES)/*.po; do \
 	    mkdir -p $${f%.po}/LC_MESSAGES; \
 	    msgfmt -o $${f%.po}/LC_MESSAGES/$(PACKAGE).mo $$f;\
@@ -181,6 +182,7 @@
 
 .PHONY: update-translations
 update-translations:
+	set -e ;\
 	for f in $(LOCALES)/*.po; do \
 	    msgmerge -qUN $$f $(LOCALES)/$(PACKAGE).pot ;\
 	done

=== debian/changelog ===
schooltool (1:2.5.3-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/schooltool.init:
    - ignore the error on start if supervisor is no longer running but pidfile
      still exists, and start as normal (LP: #1215174)
    - shutdown the supervisor on stop/restart.
  * debian/schooltool.postrm: remove the correct pidfile
  * debian/supervisor.conf: add REDIS_PORT to the environment of schooltool.
  * debian/rules: remove apidoc from extras

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 13 Sep 2013 22:58:37 +0300

schooltool (1:2.5.2.1-0ubuntu2) saucy; urgency=low

  * Recommend fonts-liberation instead of transitional ttf-liberation

 -- Jeremy Bicha <jbicha@ubuntu.com>  Sat, 07 Sep 2013 09:55:29 -0400

=== debian/control ===
--- 
+++ 
@@ -19,7 +19,7 @@
         python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.cando (<< 0.7),
 Provides: ${pydeb:Provides}
-Recommends: ttf-liberation, ttf-ubuntu-font-family
+Recommends: fonts-liberation, ttf-ubuntu-font-family
 Suggests: ${pydeb:Suggests}
 Description: Python libraries used by SchoolTool
  This package contains the core of SchoolTool.

=== debian/rules ===
--- 
+++ 
@@ -1,6 +1,6 @@
 #!/usr/bin/make -f
 
-export PYDEB_SUGGESTS_EXTRAS=test docs apidoc
+export PYDEB_SUGGESTS_EXTRAS=test docs
 
 %:
 	dh $@ -Spython_distutils --with pydeb --with python2

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/trunk/schooltool-(\d.*)\.tar\.gz

## schooltool 2.5.3.1

=== debian/changelog ===
schooltool (1:2.5.3.1-0ubuntu2) saucy; urgency=low

  * debian/patches/system-jquery.patch, debian/rules: temporarily use the
    included jqueryui because our themed css no longer matches the newer
    javascript in saucy (LP: #1228856)

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 24 Sep 2013 19:41:34 +0300

schooltool (1:2.5.3.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Gediminas Paulauskas <menesis@pov.lt>  Tue, 17 Sep 2013 23:57:54 +0300

schooltool (1:2.5.3-0ubuntu3) saucy; urgency=low

  * debian/patches/python-imaging.patch: remove Pillow from .egg-info
  * debian/control: add python-imaging to Depends

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 03:02:58 +0300

schooltool (1:2.5.3-0ubuntu2) saucy; urgency=low

  * debian/schooltool.init: on start when running, wait maybe supervisor will die
    before starting.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 14 Sep 2013 00:03:09 +0300

## schooltool 2.6.0

=== debian/changelog ===
schooltool (1:2.6.0-0ubuntu1) saucy; urgency=low

  * New upstream release.
  * debian/redis.conf: save redis databases less often.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 10 Oct 2013 19:46:04 +0300

## schooltool 2.6.0.1

=== debian/changelog ===
schooltool (1:2.6.0.1-0ubuntu2) trusty; urgency=low

  * Upload to trusty.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 31 Oct 2013 17:08:21 +0200

schooltool (1:2.6.0.1-0ubuntu1) saucy; urgency=low

  * New upstream micro release
    - Synchronize timezone set in preferences with timetables and schedules
      (LP: #1239468)
    - Set initial timezone from /etc/timezone (LP: #1030211)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 17 Oct 2013 17:06:42 +0300

## schooltool 2.6.1.1

=== debian/changelog ===
schooltool (1:2.6.1.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release.
  * debian/supervisord.conf: autorestart schooltool if it dies.

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 21 Nov 2013 03:34:52 +0200

## schooltool 2.6.1.2

=== Makefile ===
--- 
+++ 
@@ -9,6 +9,7 @@
 
 INSTANCE_TYPE=schooltool
 BUILDOUT_FLAGS=
+REDIS_PORT:=$$(grep ^port instance/redis.conf | cut -d' ' -f 2)
 
 .PHONY: all
 all: build
@@ -52,7 +53,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: start
 start: build instance instance/run/supervisord.pid
@@ -77,7 +78,7 @@
 	@bin/supervisorctl start "services:*"
 	@bin/supervisorctl status schooltool | grep RUNNING && bin/supervisorctl stop schooltool || exit 0
 	@bin/supervisorctl status
-	bin/start-schooltool-instance instance
+	REDIS_PORT=$(REDIS_PORT) bin/start-schooltool-instance instance
 
 .PHONY: stop
 stop:

=== debian/changelog ===
schooltool (1:2.6.1.2-0ubuntu2) trusty; urgency=low

  * debian/patches/evolve42.patch: add to fix upgrade of an empty DB from
    2.6.0 to 2.6.1 (LP: #1258529)

 -- Gediminas Paulauskas <menesis@pov.lt>  Wed, 11 Dec 2013 14:49:55 +0200

schooltool (1:2.6.1.2-0ubuntu1) trusty; urgency=low

  * New upstream micro release
    - Fix warning about unsaved changes in journal and cando (LP: #1253070)

 -- Gediminas Paulauskas <menesis@pov.lt>  Sun, 24 Nov 2013 22:31:44 +0200

## schooltool 2.6.3

=== Makefile ===
--- 
+++ 
@@ -4,7 +4,7 @@
 LOCALES=src/schooltool/locales
 TRANSLATIONS_ZCML=schooltool/common/translations.zcml
 
-DIST=/home/ftp/pub/schooltool/trunk
+DIST=/home/ftp/pub/schooltool/2.6
 PYTHON=python
 
 INSTANCE_TYPE=schooltool

=== debian/changelog ===
schooltool (1:2.6.3-0ubuntu2) trusty; urgency=medium

  * debian/patches/ckeditor4.patch: make compatible with CKEditor 4.x
    (LP: #1309133)

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 17 Apr 2014 20:58:15 +0300

schooltool (1:2.6.3-0ubuntu1) trusty; urgency=low

  * New upstream release.
    - Celery 3 support (LP: #1276384)
    - Switch to CKEditor (LP: #485898)
    - Fixed exception dates format in calendar widget of recurring events
      (LP: #372889)
    - Fixed export of deleted timetables (LP: #1281335)
    - Fixed term/section navigation in a different school year (LP: #1281050)
  * debian/copyright: update, remove calwidget

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 12 Apr 2014 00:58:04 +0300

schooltool (1:2.6.2-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.
  * debian/patches/evolve42.patch: remove, fixed upstream.

 -- Gediminas Paulauskas <menesis@pov.lt>  Sat, 15 Feb 2014 01:19:44 +0200

=== debian/control ===
--- 
+++ 
@@ -14,7 +14,7 @@
 Package: python-schooltool
 Architecture: all
 Depends: ${pydeb:Depends}, ${python:Depends}, ${misc:Depends},
-         libjs-jquery, libjs-jquery-ui,
+         libjs-jquery, libjs-jquery-ui, python-imaging,
 Breaks: python-schooltool.gradebook (<< 2.2),
         python-schooltool.lyceum.journal (<< 2.2),
         python-schooltool.cando (<< 0.7),

## schooltool 2.6.4

=== debian/changelog ===
schooltool (1:2.6.4-0ubuntu3) utopic; urgency=medium

  * debian/patches/utopic-zope.patch: compatibility with zope packages in utopic

 -- Gediminas Paulauskas <menesis@pov.lt>  Thu, 16 Oct 2014 23:43:01 +0300

schooltool (1:2.6.4-0ubuntu2) utopic; urgency=low

  * Upload to utopic.

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 23:26:29 +0300

schooltool (1:2.6.4-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release.
    - Delete schedules that reference a deleted timetable (LP: #1280528)
    - Improve tab style to make active tab more clear (LP: #1023378)
    - Timetables copied from active year retain old start/end dates (LP: #1005962)
  * debian/patches/ckeditor4.patch: remove, fixed upstream.
  * debian/copyright: add a section for included d3 javascript library.
  * debian/missing-sources: add sources for included javascript libraries:
    - d3 2.9.7
    - jquery 1.7.1
    - jquery-scrollto 1.4.2
    - jquery-ui 1.8.18

 -- Gediminas Paulauskas <menesis@pov.lt>  Mon, 05 May 2014 21:09:49 +0300

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
                python-all (>= 2.6.6-3~),
                python-setuptools,
                python-van.pydeb,
-Standards-Version: 3.9.4
+Standards-Version: 3.9.5
 X-Python-Version: >= 2.6
 Homepage: http://www.schooltool.org/

=== debian/rules ===
--- 
+++ 
@@ -10,7 +10,7 @@
 override_dh_auto_build:
 	rm -f src/schooltool/skin/resources/jquery.min.js
 	rm -rf src/schooltool/skin/flourish/resources/jquery/development-bundle/
-	rm -rf src/schooltool/skin/flourish/resources/jquery/js/
+	#rm -rf src/schooltool/skin/flourish/resources/jquery/js/
 	rm -f $(locales)/*.po
 	rm -f $(locales)/*.pot
 	dh_auto_build

=== debian/watch ===
version=3
http://ftp.schooltool.org/schooltool/2.6/schooltool-(\d.*)\.tar\.gz
